import service from '../../utils/axios'

// 查询资费计划
export function tariffList(param) {
    return service.post('/admin/platform/tariffList', param)
}

// 添加资费计划
export function addTariff(param) {
    return service.post('/admin/platform/addTariff', param)
}

// 更新资费计划
export function updateTariff(param) {
    return service.post('/admin/platform/updateTariff', param)
}

// 删除资费计划
export function deleteTariff(params) {
    return service.get('/admin/platform/deleteTariff', { params })
}

// 添加资费套餐
export function addTariffPackage(data) {
    return service.post('/admin/platform/addTariffProduct', data)
}

// 查询资费商品
export function CheckTariffPackages(params) {
    return service.get('/admin/platform/tariffProductList', { params })
}

// 更新资费商品
export function UpdateTariffTtems(data) {
    return service.post('/admin/platform/updateTariffProduct', data)
}

// 删除资费商品
export function DeleteTariffItems(params) {
    return service.get('/admin/platform/deleteTariffProduct', { params })
}

// 查询客户下的流量池
export function ExampleQueryTrafficPool() {
    return service.get('/admin/platform/customerTrafficPool')
}

// 资费有效期
export function tariiffManageDate(data) {
    return service.post('/admin/platform/renewTariff', data)
}